########################################################################
# $Header: /var/local/cvsroot/4Suite/test/Xml/Xslt/Exslt/test_regexp.py,v 1.1 2005/02/14 00:15:51 jkloth Exp $
"""Tests for EXSLT Regular Expressions"""

TESTS = []

# regexp:match()
def test_Match(tester):
    tester.startTest('regexp:match()')
    tester.warning('Not tested')
    tester.testDone()
    return
TESTS.append(test_Match)


# regexp:replace()
def test_Replace(tester):
    tester.startTest('regexp:replace()')
    tester.warning('Not tested')
    tester.testDone()
    return
TESTS.append(test_Replace)


# regexp:test()
def test_Test(tester):
    tester.startTest('regexp:test()')
    tester.warning('Not tested')
    tester.testDone()
    return
TESTS.append(test_Test)


def Test(tester):
    tester.startGroup('Regular Expressions')
    for test in TESTS:
        test(tester)
    tester.groupDone()
    return
